## org.eclipse.emf.validation.service
Interface IParameterizedConstraintParser

All Superinterfaces:
  IConstraintParser

    public interface IParameterizedConstraintParser

extends IConstraintParser

Interface implemented by an object that knows how to construct constraint implementations from `IParameterizedConstraintDescriptor`s. The parser is associated with a particular constraint language that is supports, and for which it defines the set of parameters available to configure the constraint.

Since:
  1.1

Method Summary
`IModelConstraint` `parseConstraint(IParameterizedConstraintDescriptor descriptor)` Parses the content of a constraint `descriptor` (including parameters) to create an implementation of the model constraint interface.

Method Detail

### parseConstraint

    IModelConstraint parseConstraint(IParameterizedConstraintDescriptor descriptor)
                                     throws ConstraintParserException

  Parses the content of a constraint `descriptor` (including parameters) to create an implementation of the model constraint interface.

  Parameters:
    `descriptor` - the constraint descriptor containing the definition of a constraint, including any
  Returns:
    a constraint, if one can be created
  Throws:
    `ConstraintParserException` - if a constraint cannot be created from this `descriptor`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.